Saltar para o conteúdo

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

LiveOps is a toolkit for driving ongoing player engagement through promotions and personalized offers.

Use the API to manage the following features:

  • Promotions — create and manage coupons, promo codes, discounts, and bonus campaigns.
  • Personalization — specify the conditions for displaying the item catalog and applying promotions only for certain authorized users.
  • Promotion limits — set a limit on how many times a promotion can be used by a user and configure scheduled resets for these limits.
  • Reward chains & Value points — configure reward progressions tied to value point accumulation.
  • Daily chains — set up recurring daily rewards to motivate regular logins.
  • Offer chains — build sequential purchase offers with per-step pricing and free reward options.
  • Upsell — a sales method in which the user is offered to buy an item with additional value.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, activating, and deleting campaigns and chain configurations. Authenticated via basic access authentication with your merchant or project credentials.
  • Client — calls for retrieving available promotions, getting active chains, redeeming codes, and claiming rewards on behalf of authenticated end users. Authenticated via user JWT.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
Transferir a descrição da OpenAPI
Idiomas
Servidores
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/pt/api/liveops/

Overview

Promotions are marketing tools designed to attract new users and increase sales. Using Xsolla API, you can configure the following promotions:

  • Discounts — reduced prices on selected items.
  • Bonuses — items granted to users along with their purchase.
  • Coupons — codes that allow users to receive one or more bonus items when redeeming.
  • Promo codes — codes that allow users to receive bonus items, a discount on a specific item, or a discount on the entire cart. Unlike coupons that are redeemed after the user enters them, promo codes are redeemed during a purchase (at checkout).
  • Unique offers — hidden items displayed in the catalog to users who have entered a unique offer code. If the code is not entered, the items are not displayed.

Example flow for configuring a discount promotion:

  1. Create items using the calls from the Admin subsection of the Virtual items and currency, Bundles, or Game keys groups.
  2. Create a promotion using the Create discount promotion for item call. In the items array, pass the necessary item SKUs.
  3. Set up promotion validity periods. To do this, call the Create discount promotion for item or Update item promotion methods, and pass the promotion_periods field as an array of objects where date_from defines the start, and date_until defines the end date of the validity period.
  4. Activate a promotion using the Update item promotion call. Pass the "is_enabled": true parameter.
  5. To get information about item prices, including discounted prices, call the client API methods for getting an item catalog from the Common > Catalog, Virtual Items and Currency > Catalog, and Bundles > Catalog subsections.

Promotion configuration example

Refer to our documentation for detailed information about configuring promotions:

Common API calls

You can call API methods from this subsection to manage different types of promotions.

Operações

Cupons

Call API methods from this subsection to configure and manage coupon promotions.

Note

Refer to our documentation for detailed information about coupons.

Operações

Códigos promocionais

Call API methods from this subsection to configure and manage promo code promotions.

Note

Refer to our documentation for detailed information about promo codes.

Operações

Ofertas de catálogo exclusivas

Call API methods from this subsection to configure and manage unique catalog offers.

Note

Refer to our documentation for detailed information about unique offers.

Operações

Descontos

Call API methods from this subsection to configure and manage discount promotions.

Note

Refer to our documentation for detailed information about discounts.

Operações

Bônus

Call API methods from this subsection to configure and manage bonus promotions.

Note

Refer to our documentation for detailed information about bonuses.

Operações

Catálogo personalizado

Personalization allows you to specify the conditions for displaying the item catalog and applying promotions only for specific authorized users. Conditions are defined based on user attributes and allow you to offer items and promotions that are most relevant to particular users.

The following personalization types are available:

  • Xsolla-side personalization. Personalization rules and logic are configured and stored on the Xsolla side. You pass user attributes, and Xsolla uses them to generate a personalized catalog.
  • Partner-side personalization. You configure personalization rules and logic on your side and send a final catalog payload for a specific user to Xsolla.
Note

You can use only one personalization type. To change it, follow the instructions.

To configure personalization on the Xsolla side using the Xsolla API:

  1. Create items using the API calls from the Admin subsection of the Virtual items and currency, Bundles or Game keys groups.

  2. Set up user attributes using the Xsolla Login API and keep them synchronized by updating data in Xsolla whenever changes occur in your game.

  3. Configure personalization for items or promotions:

  4. Pass the user JWT with user attributes to the catalog retrieval API calls to receive a personalized catalog.

Sequence for configuring and applying Xsolla-side personalization for item catalog:

Personalization for item catalog

Sequence for configuring and applying Xsolla-side personalization for promotions:

Personalization for promotions

Operações
Operações
Operações
Operações
Operações
Operações

Criar recompensa diáriaServer-sideAdmin

Pedido

Cria uma recompensa diária.

Segurança
basicAuth
Caminho
project_idintegerobrigatório

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Exemplo: 44056
Corpoapplication/json
One of:

Uma recompensa diária pelo tipo calendar_hard.

date_startstring(date-time)(calendar_hard_date_start)obrigatório

Data em que sua cadeia de recompensas diárias começa.

is_recurrentboolean(calendar_hard_is_recurrent)

Se a recompensa diária é recorrente. Se true, a recompensa diária será redefinida automaticamente após a data de término. O próximo cronograma start_date e end_date são baseados na quantidade de etapas de recompensas diárias e no tempo inicial definido em start_date.

typestringobrigatório

Daily reward type that determines when users can claim rewards.

Possible values:

  • calendar_hard — Unlocks the next step reward every 24 hours. Any unclaimed step rewards are permanently lost once the next step reward becomes available.
  • rolling_skippable — Unlocks the next step reward every 24 hours based on date_start. Progression is sequential: a new reward will not unlock until the previous one has been claimed. If a user skips one or more days, they continue from where they left off; missed days do not grant multiple rewards.
  • rolling_unskippable — Unlocks the next step reward every 24 hours based on date_start. Progression is sequential: a new reward will not unlock until the previous one has been claimed. However, if a user skips a day, their progress is reset, and they must start again from the first step.
Enum"calendar_hard""rolling_skippable""rolling_unskippable"
description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

Objeto com traduções para a descrição do item. Aceita valores em um dos dois formatos: códigos de idioma minúsculos de duas letras (por exemplo, en) ou códigos de localidade de cinco caracteres (por exemplo, en-US). Embora ambos os formatos sejam aceitos, as respostas retornam códigos de idioma minúsculos de duas letras. Quando ambas as opções para o mesmo idioma são fornecidas (por exemplo, en e en-US), o último valor fornecido é armazenado. Você pode encontrar a lista completa de idiomas suportados na documentação.

Any of:

Códigos de idioma minúsculos de duas letras.

description.​arstring or null

Árabe

description.​bgstring or null

Búlgaro

description.​cnstring or null

Chinês (Simplificado)

description.​csstring or null

Tcheco

description.​destring or null

Alemão

description.​enstring or null

Inglês

description.​esstring or null

Espanhol (Espanha)

description.​frstring or null

Francês

description.​hestring or null

Hebraico

description.​idstring or null

Indonésio

description.​itstring or null

Italiano

description.​jastring or null

Japonês

description.​kmstring or null

Khmer

description.​kostring or null

Coreano

description.​lostring or null

Lao

description.​mystring or null

Birmanês

description.​nestring or null

Nepalês

description.​phstring or null

Filipino

description.​plstring or null

Polonês

description.​ptstring or null

Português

description.​rostring or null

Romeno

description.​rustring or null

Russo

description.​thstring or null

Tailandês

description.​trstring or null

Turco

description.​twstring or null

Chinês (Tradicional)

description.​vistring or null

Vietnamita

is_enabledboolean(is_enabled)obrigatório
name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)obrigatório

Objeto com traduções para o nome do item. Aceita valores em um dos dois formatos: códigos de idioma minúsculos de duas letras (por exemplo, en) ou códigos de idioma de cinco caracteres (por exemplo, en-US). Embora ambos os formatos sejam aceitos, as respostas retornam códigos de idioma minúsculos de duas letras. Quando ambas as opções para o mesmo idioma são fornecidas (por exemplo, en e en-US), o último valor fornecido é armazenado. Você pode encontrar a lista completa de idiomas suportados na documentação.

Any of:

Códigos de idioma minúsculos de duas letras.

name.​arstring or null

Árabe

name.​bgstring or null

Búlgaro

name.​cnstring or null

Chinês (Simplificado)

name.​csstring or null

Tcheco

name.​destring or null

Alemão

name.​enstring or null

Inglês

name.​esstring or null

Espanhol (Espanha)

name.​frstring or null

Francês

name.​hestring or null

Hebraico

name.​idstring or null

Indonésio

name.​itstring or null

Italiano

name.​jastring or null

Japonês

name.​kmstring or null

Khmer

name.​kostring or null

Coreano

name.​lostring or null

Lao

name.​mystring or null

Birmanês

name.​nestring or null

Nepalês

name.​phstring or null

Filipino

name.​plstring or null

Polonês

name.​ptstring or null

Português

name.​rostring or null

Romeno

name.​rustring or null

Russo

name.​thstring or null

Tailandês

name.​trstring or null

Turco

name.​twstring or null

Chinês (Tradicional)

name.​vistring or null

Vietnamita

orderinteger(order)

Define a ordem do arranjo.

stepsArray of objects(create-daily-chain-step-model)obrigatório
steps[].​itemsArray of objects(modify-daily-chain-item-model)non-emptyobrigatório
steps[].​items[].​quantityinteger>= 1obrigatório

Quantidade de etapas de recompensa diária para este sku

steps[].​items[].​skustring(sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$obrigatório

ID de item exclusivo. O SKU só pode conter caracteres alfanuméricos latinos minúsculos e maiúsculos, pontos, traços e sublinhados.

steps[].​step_numberinteger(daily_chain_step_number)>= 1obrigatório

Número da etapa.

curl -i -X POST \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/daily_chain \
  -H 'Content-Type: application/json' \
  -d '{
    "date_start": "2023-04-15T18:16:00+05:00",
    "description": {
      "en": "New daily reward short description"
    },
    "is_enabled": true,
    "name": {
      "en": "New daily reward",
      "ru": "Новая ежедневная награда"
    },
    "order": 4,
    "steps": [
      {
        "items": [
          {
            "quantity": 2,
            "sku": "vg_enabled_shown_in_store_1"
          }
        ],
        "step_number": 1
      },
      {
        "items": [
          {
            "quantity": 2,
            "sku": "bundle_enabled_shown_in_store_with_2_enabled_shown_in_store_vg"
          }
        ],
        "step_number": 2
      },
      {
        "items": [
          {
            "quantity": 2,
            "sku": "vcp_enabled_shown_in_store_1_of_10_vc_enabled_shown_in_store_1"
          }
        ],
        "step_number": 3
      },
      {
        "items": [
          {
            "quantity": 1,
            "sku": "vg_enabled_shown_in_store_1"
          }
        ],
        "step_number": 4
      },
      {
        "items": [
          {
            "quantity": 1,
            "sku": "bundle_enabled_shown_in_store_with_2_enabled_shown_in_store_vg"
          }
        ],
        "step_number": 5
      },
      {
        "items": [
          {
            "quantity": 1,
            "sku": "vcp_enabled_shown_in_store_1_of_10_vc_enabled_shown_in_store_1"
          }
        ],
        "step_number": 6
      }
    ],
    "type": "calendar_hard"
  }'

Respostas

A recompensa diária foi criada com sucesso.

Corpoapplication/json
daily_chain_idinteger
Exemplo: 10
Resposta
application/json
{ "daily_chain_id": 10 }

Excluir recompensa diáriaServer-sideAdmin

Pedido

Exclui uma recompensa diária específica.

Segurança
basicAuth
Caminho
project_idintegerobrigatório

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Exemplo: 44056
daily_chain_idintegerobrigatório

ID de recompensa diária.

Exemplo: 101
curl -i -X DELETE \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/daily_chain/id/101

Respostas

Recompensa diária excluída com sucesso.

Corpo
Resposta
Sem conteúdo

Obter recompensa diáriaServer-sideAdmin

Pedido

Obtém uma cadeia de recompensas específica para administração.

Segurança
basicAuth
Caminho
project_idintegerobrigatório

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Exemplo: 44056
daily_chain_idintegerobrigatório

ID de recompensa diária.

Exemplo: 101
curl -i -X GET \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/daily_chain/id/101

Respostas

Os dados de recompensa diária foram recuperados com sucesso.

Corpoapplication/json
date_startstring(date-time)(calendar_hard_date_start)

Data em que sua cadeia de recompensas diárias começa.

is_recurrentboolean(calendar_hard_is_recurrent)

Se a recompensa diária é recorrente. Se true, a recompensa diária será redefinida automaticamente após a data de término. O próximo cronograma start_date e end_date são baseados na quantidade de etapas de recompensas diárias e no tempo inicial definido em start_date.

typestring

Daily reward type that determines when users can claim rewards.

Possible values:

  • calendar_hard — Unlocks the next step reward every 24 hours. Any unclaimed step rewards are permanently lost once the next step reward becomes available.
  • rolling_skippable — Unlocks the next step reward every 24 hours based on date_start. Progression is sequential: a new reward will not unlock until the previous one has been claimed. If a user skips one or more days, they continue from where they left off; missed days do not grant multiple rewards.
  • rolling_unskippable — Unlocks the next step reward every 24 hours based on date_start. Progression is sequential: a new reward will not unlock until the previous one has been claimed. However, if a user skips a day, their progress is reset, and they must start again from the first step.
Enum"calendar_hard""rolling_skippable""rolling_unskippable"
Discriminador
date_endstring or null(date-time)(daily_chain_date_end)

Data em que sua recompensa diária termina. Pode ser null. Definir como tipo calendar_hard definirá automaticamente essa data com base no número de etapas adicionadas, então você pode deixá-la como null.

description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

Objeto com traduções para a descrição do item. Aceita valores em um dos dois formatos: códigos de idioma minúsculos de duas letras (por exemplo, en) ou códigos de localidade de cinco caracteres (por exemplo, en-US). Embora ambos os formatos sejam aceitos, as respostas retornam códigos de idioma minúsculos de duas letras. Quando ambas as opções para o mesmo idioma são fornecidas (por exemplo, en e en-US), o último valor fornecido é armazenado. Você pode encontrar a lista completa de idiomas suportados na documentação.

Any of:

Códigos de idioma minúsculos de duas letras.

description.​arstring or null

Árabe

description.​bgstring or null

Búlgaro

description.​cnstring or null

Chinês (Simplificado)

description.​csstring or null

Tcheco

description.​destring or null

Alemão

description.​enstring or null

Inglês

description.​esstring or null

Espanhol (Espanha)

description.​frstring or null

Francês

description.​hestring or null

Hebraico

description.​idstring or null

Indonésio

description.​itstring or null

Italiano

description.​jastring or null

Japonês

description.​kmstring or null

Khmer

description.​kostring or null

Coreano

description.​lostring or null

Lao

description.​mystring or null

Birmanês

description.​nestring or null

Nepalês

description.​phstring or null

Filipino

description.​plstring or null

Polonês

description.​ptstring or null

Português

description.​rostring or null

Romeno

description.​rustring or null

Russo

description.​thstring or null

Tailandês

description.​trstring or null

Turco

description.​twstring or null

Chinês (Tradicional)

description.​vistring or null

Vietnamita

idinteger(daily_chain_id)

ID de recompensa diária exclusivo.

is_enabledboolean(is_enabled)
name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)

Objeto com traduções para o nome do item. Aceita valores em um dos dois formatos: códigos de idioma minúsculos de duas letras (por exemplo, en) ou códigos de idioma de cinco caracteres (por exemplo, en-US). Embora ambos os formatos sejam aceitos, as respostas retornam códigos de idioma minúsculos de duas letras. Quando ambas as opções para o mesmo idioma são fornecidas (por exemplo, en e en-US), o último valor fornecido é armazenado. Você pode encontrar a lista completa de idiomas suportados na documentação.

Any of:

Códigos de idioma minúsculos de duas letras.

name.​arstring or null

Árabe

name.​bgstring or null

Búlgaro

name.​cnstring or null

Chinês (Simplificado)

name.​csstring or null

Tcheco

name.​destring or null

Alemão

name.​enstring or null

Inglês

name.​esstring or null

Espanhol (Espanha)

name.​frstring or null

Francês

name.​hestring or null

Hebraico

name.​idstring or null

Indonésio

name.​itstring or null

Italiano

name.​jastring or null

Japonês

name.​kmstring or null

Khmer

name.​kostring or null

Coreano

name.​lostring or null

Lao

name.​mystring or null

Birmanês

name.​nestring or null

Nepalês

name.​phstring or null

Filipino

name.​plstring or null

Polonês

name.​ptstring or null

Português

name.​rostring or null

Romeno

name.​rustring or null

Russo

name.​thstring or null

Tailandês

name.​trstring or null

Turco

name.​twstring or null

Chinês (Tradicional)

name.​vistring or null

Vietnamita

number_of_stepsinteger(daily_chain_number_of_step)

É a quantidade de etapas configuradas na recompensa diária. Cada passo aqui significa um dia na recompensa diária.

orderinteger(order)

Define a ordem do arranjo.

stepsArray of objects(admin-daily-chain-step-model)
steps[].​itemsArray of objects(admin-daily-chain-item-model)
steps[].​items[].​description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

Objeto com traduções para a descrição longa do item. Aceita valores em um dos dois formatos: códigos de idioma minúsculos de duas letras (por exemplo, en) ou códigos de localidade de cinco caracteres (por exemplo, en-US). Embora ambos os formatos sejam aceitos, as respostas retornam códigos de idioma minúsculos de duas letras. Quando ambas as variantes para o mesmo idioma são fornecidas (por exemplo, en e en-US), o último valor fornecido é armazenado. Você pode encontrar a lista completa de idiomas suportados na documentação.

Any of:

Códigos de idioma minúsculos de duas letras.

steps[].​items[].​description.​arstring or null

Árabe

steps[].​items[].​description.​bgstring or null

Búlgaro

steps[].​items[].​description.​cnstring or null

Chinês (Simplificado)

steps[].​items[].​description.​csstring or null

Tcheco

steps[].​items[].​description.​destring or null

Alemão

steps[].​items[].​description.​enstring or null

Inglês

steps[].​items[].​description.​esstring or null

Espanhol (Espanha)

steps[].​items[].​description.​frstring or null

Francês

steps[].​items[].​description.​hestring or null

Hebraico

steps[].​items[].​description.​idstring or null

Indonésio

steps[].​items[].​description.​itstring or null

Italiano

steps[].​items[].​description.​jastring or null

Japonês

steps[].​items[].​description.​kmstring or null

Khmer

steps[].​items[].​description.​kostring or null

Coreano

steps[].​items[].​description.​lostring or null

Lao

steps[].​items[].​description.​mystring or null

Birmanês

steps[].​items[].​description.​nestring or null

Nepalês

steps[].​items[].​description.​phstring or null

Filipino

steps[].​items[].​description.​plstring or null

Polonês

steps[].​items[].​description.​ptstring or null

Português

steps[].​items[].​description.​rostring or null

Romeno

steps[].​items[].​description.​rustring or null

Russo

steps[].​items[].​description.​thstring or null

Tailandês

steps[].​items[].​description.​trstring or null

Turco

steps[].​items[].​description.​twstring or null

Chinês (Tradicional)

steps[].​items[].​description.​vistring or null

Vietnamita

steps[].​items[].​image_urlstring or null(image_url)

URL da imagem.

steps[].​items[].​item_idinteger(item_id)

ID de item exclusivo interno.

steps[].​items[].​nameobject or null(two-letter-locale)

Códigos de idioma minúsculos de duas letras.

steps[].​items[].​name.​arstring or null

Árabe

steps[].​items[].​name.​bgstring or null

Búlgaro

steps[].​items[].​name.​cnstring or null

Chinês (Simplificado)

steps[].​items[].​name.​csstring or null

Tcheco

steps[].​items[].​name.​destring or null

Alemão

steps[].​items[].​name.​enstring or null

Inglês

steps[].​items[].​name.​esstring or null

Espanhol (Espanha)

steps[].​items[].​name.​frstring or null

Francês

steps[].​items[].​name.​hestring or null

Hebraico

steps[].​items[].​name.​idstring or null

Indonésio

steps[].​items[].​name.​itstring or null

Italiano

steps[].​items[].​name.​jastring or null

Japonês

steps[].​items[].​name.​kmstring or null

Khmer

steps[].​items[].​name.​kostring or null

Coreano

steps[].​items[].​name.​lostring or null

Lao

steps[].​items[].​name.​mystring or null

Birmanês

steps[].​items[].​name.​nestring or null

Nepalês

steps[].​items[].​name.​phstring or null

Filipino

steps[].​items[].​name.​plstring or null

Polonês

steps[].​items[].​name.​ptstring or null

Português

steps[].​items[].​name.​rostring or null

Romeno

steps[].​items[].​name.​rustring or null

Russo

steps[].​items[].​name.​thstring or null

Tailandês

steps[].​items[].​name.​trstring or null

Turco

steps[].​items[].​name.​twstring or null

Chinês (Tradicional)

steps[].​items[].​name.​vistring or null

Vietnamita

steps[].​items[].​quantityinteger>= 1

Quantidade de itens.

Exemplo: 1
steps[].​items[].​skustring(sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

ID de item exclusivo. O SKU só pode conter caracteres alfanuméricos latinos minúsculos e maiúsculos, pontos, traços e sublinhados.

steps[].​items[].​typestring(item_type)

Tipo de item: virtual_good/virtual_currency/bundle/unit.

steps[].​step_idinteger or null(daily_chain_step_id)>= 1

Identificador exclusivo da etapa de recompensa diária

steps[].​step_numberinteger(daily_chain_step_number)>= 1

Número da etapa.

Resposta
application/json
{ "date_end": "2025-04-25T18:16:00+05:00", "date_start": "2023-04-15T18:16:00+05:00", "description": { "en": "Daily reward short description" }, "id": 3, "is_enabled": true, "is_recurrent": false, "name": { "en": "Daily reward", "ru": "Ежедневная награда" }, "number_of_steps": 3, "order": 1, "steps": [ {}, {}, {} ], "type": "calendar_hard" }
Operações
Operações
Operações
Operações
Operações